.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_ConfirmationDialog:

ConfirmationDialog
==================

**Inherits:** :ref:`AcceptDialog<class_acceptdialog>` **<** :ref:`WindowDialog<class_windowdialog>` **<** :ref:`Popup<class_popup>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Inherited By:** :ref:`EditorFileDialog<class_editorfiledialog>`, :ref:`FileDialog<class_filedialog>`

**Category:** Core

Brief Description
-----------------

Dialog for confirmation of actions.

Member Functions
----------------

+------------------------------+---------------------------------------------------------------------+
| :ref:`Button<class_button>`  | :ref:`get_cancel<class_ConfirmationDialog_get_cancel>`  **(** **)** |
+------------------------------+---------------------------------------------------------------------+

Description
-----------

Dialog for confirmation of actions. This dialog inherits from :ref:`AcceptDialog<class_acceptdialog>`, but has by default an OK and Cancel button (in host OS order).

Member Function Description
---------------------------

.. _class_ConfirmationDialog_get_cancel:

- :ref:`Button<class_button>`  **get_cancel**  **(** **)**

Return the cancel button.


